Subject: Remapped Return Revisited

From: [email-masked] (Michael Hayden)
Date: 28 Aug 1996 15:06:45 -0400

Yes, this is the remapped Return being read as a ^J problem all over
again. Yes, I'm using NCSA Telnet 2.6 for the Mac. I've already searched
the archives thoroughly; this problem is mentioned several times, but no
one ever seems to get a solid answer. Here's my story:

I've been using Pine for three years on a Solaris 2.5 machine, using NCSA
Telnet with no problems whatsoever. I recently switched to a new ISP
running FreeBSD and BSD/OS (depending on which machine you're on). Right
away I had the classic ^C (cancel command) and ^J (auto-justification)
problems. I checked the limited preferences in NCSA Telnet and verified
the problem was not there. Yes, I made sure the Interrupt key was not
mapped to ^C...
  
Someone suggested to me that NCSA Telnet was in fact sending ^J^M
(linefeed/carriage return) as its Return, and the telnetd on the BSD
machines was not weeding out the ^J before sending the Returns on to
Pine. And of course, Pine reads the ^J as a call for auto-justification
(or file attachment, if you're in the header). Another user recommended
using the Enter key on the number pad as a workaround, but it still trips
the ^J about 30% of the time.

I called NCSA's support line, and they said that even if that was true,
the Telnet project has been discontinued and they can't do anything about
it.

Yesterday, the sysadmins at this new ISP started compiling Pine 3.95 on
all of their machines. On the machines running FreeBSD, both the ^C and ^J
were fixed immediately. However, on the main server running BSD/OS, only
the ^C problem was fixed. The Return key is still screwed up. I asked the
sysadmin if it was possible that Pine's system configurations were set
differently on the BSD/OS machine that they were on the FreeBSD machines,
but he assured me that they were not.

Using the *same* copy of Telnet with the *same* settings all around, Pine
3.95 works fine on Solaris 2.5 machines and FreeBSD machines, but not on a
BSD/OS machine. Would this imply that the telnetd on that BSD/OS machine
is what is remapping my Returns? If so, what could I or my sysadmin do
about it? Is this something that could be taken care of by
strategically-placed tset, stty, or termios commands?

Thanks.
-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Michael "Doc" Hayden - [email-masked] - http://ally.ios.com/~mh252119/
  Silverhammer Wordsmiths - Elegantly simple, simply elegant. Ask for info.
"What you are about to see is real. These are not actors; they're directors."